import { Args } from '@/feature/args';
export type availableTemplate = 'node' | string;
export type SNPKeySuffixTypes = AvailableSNPKeySuffixTypes & '_';
export type AvailableSNPKeySuffixTypes = 'defaultFile' | 'instructionsFile' | 'customFile' | 'extendFile';
export type AvailableSNPSuffixTypes = '-default.md' | '-instructions.md' | '-custom.md' | '-extend.md';
export interface StableConfig {
    template: availableTemplate | string;
    projectCatalog: string;
    availableSNPSuffix: AvailableSNPSuffixTypes[];
    availableSNPKeySuffix: AvailableSNPKeySuffixTypes[];
    REPOSITORY_MAP_FILE_NAME: string;
    snpConfigFileName: string;
    remoteRepository: string;
    isDebug: boolean;
}
export interface GeneratedConfig {
    snpCatalog: string;
    sUpdaterVersion?: string;
    templateVersion?: string;
    temporaryFolder: string;
    snpConfigFile: string;
    snpFileMapConfig: string;
    repositoryUrl: string;
}
export interface ConfigType extends StableConfig, GeneratedConfig {
    _: any[];
}
export declare const createPath: (parts: string[] | string, isFolder?: boolean) => string;
export declare const getConfig: (args: Args) => Promise<ConfigType>;
